<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "DTD/xhtml1-strict.dtd">
<html>
  <head>
    <title>API docs for &ldquo;kiwi.python.AttributeForwarder&rdquo;</title>
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type" />
    <link href="apidocs.css" type="text/css" rel="stylesheet" />
    
    
  </head>
  <body>
    <h1 class="class">Class k.p.AttributeForwarder(<a href="kiwi.python.ClassInittableObject.html">ClassInittableObject</a>):</h1>
    <p>
      <span id="part">Part of <a href="kiwi.html">kiwi</a>.<a href="kiwi.python.html">python</a></span>
      
      <a href="classIndex.html#kiwi.python.AttributeForwarder">View In Hierarchy</a>
    </p>
    <div>
      
    </div>
    <div>AttributeForwarder is an object which is used to forward certain 
attributes to another object.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Instance Variables</td><td class="fieldArg">target</td><td>forwarded object
</td></tr><tr class="fieldStart"><td class="fieldName">Class Variables</td><td class="fieldArg">attributes</td><td>list of attributes to be forwarded
</td></tr></table></div>
    
    
    <div id="splitTables">
      <table class="children sortable" id="id410">
  
  
  
  
  <tr class="classmethod">
    
    
    <td>Class Method</td>
    <td><a href="kiwi.python.AttributeForwarder.html#__class_init__">__class_init__</a></td>
    <td><span>Called when the class is created
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.python.AttributeForwarder.html#__init__">__init__</a></td>
    <td><span>Create a new AttributeForwarder object.
</span></td>
  </tr>
  
</table>
      
      
    </div>
    
    
    
    <div class="function">
        <a name="kiwi.python.AttributeForwarder.__class_init__"></a>
        <a name="__class_init__"></a>
        <div class="functionHeader">
        @classmethod<br />
        def __class_init__(cls, ns):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overrides <a href="kiwi.python.ClassInittableObject.html#__class_init__">kiwi.python.ClassInittableObject.__class_init__</a></div>
          <div>Called when the class is created
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">cls</td><td>class
</td></tr><tr><td></td><td class="fieldArg">namespace</td><td>namespace for newly created
 (type: dict
)</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.python.AttributeForwarder.__init__"></a>
        <a name="__init__"></a>
        <div class="functionHeader">
        
        def __init__(self, target):
        
      </div>
        <div class="functionBody">
          
          <div>Create a new AttributeForwarder object.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">target</td><td>object to forward attributes to
</td></tr></table></div>
        </div>
      </div>
    
    <address>
      <a href="index.html">API Documentation</a> for Kiwi, generated by <a href="http://codespeak.net/~mwh/pydoctor/">pydoctor</a> at 2008-05-29 16:06:17.
    </address>
  </body>
</html>